BSidesOdisha���Godfather Of Recon
Godfather Of Recon
Tools , Extensions , Etc…
─$ whoami
Orwa Atiyat (OrwaGodfather) from Jordan
Full time bug hunter
(Starting bug bounty 2020)
Bugcrowd P1 Warrior Rank: Top 3
550+ critical/high bug submitted
HOF: Meta / Google / Microsoft /
Hack Cup Winner 2022/2023
LevelUpX Champion 2022/2023
10+ 0Days/CVEs
Why all the time Orwa talked about Recon , Recon , Recon ………..
Build your setup for hunting
System (Windows OS + Linux)
Build your setup for hunting
Windows Software's/Tools
1 WinSCP
Build your setup for hunting
Windows Software's/Tools
2 MySQL Workbench
Build your setup for hunting
Windows Software's/Tools
3 DBeaver
Build your setup for hunting
Windows Software's/Tools
4 Nmap – Zenmap GUI
Build your setup for hunting
Windows Software's/Tools
5 Notepad++
6 Visual Studio Code
7 JetBrains dotPeek
8 virustotal
9 Burp Suite (with following extensions)
(403 Bypasser , 5GC API Parser , Active Scan++ , Backslash Powered Scanner , CO2 , IP Rotate , J2EEScan , JS Link Finder , JS Miner , Logger++ , Log Viewer , GAP , Distribute Damage , IIS Tilde , Look Over There , Param Miner , Software Vulnerability Scanner , SAML Raider , Authorize , Encode IP , Asset Discovery)
Build your setup for hunting
MobSF & Free Docker�~ docker pull opensecurity/mobile-security-framework-mobsf
~ docker run -it --rm -p 8000:8000 opensecurity/mobile-security-framework-mobsf:latest
Build your setup for hunting
Browser Extensions
1 Wappalyzer (checking webapp technologies)
2 EditThisCookie
Build your setup for hunting
Example from shodan
Build your setup for hunting
3 DotGit (orwa.com/.git/config)
Build your setup for hunting
4 Shodan
Build your setup for hunting
5 Trufflehog
Build your setup for hunting
Kali Tools ….
ReconFTW (Cover lot of tools and fix missing in kali)��Amass & Httpx & Naabu
FFUF & Waymore & Arjun
SqlMap & Shodan Cli & GitTools
Metasploit & TplMap & Aem-Hacker
Setup Is Ready To Hunt
Don’t ask how I will go to the recon , Ask how the recon will came to me….
Orwa Methodology 2023
Program (A)
Scope�dev.orwa.com�sso.orwa.com/admin/login��Program (B)
Scope�*.orwa.com��Program (C)�Scope�Anything Owned By Orwa Inc. In Scope
Orwa Methodology 2023
Program (A)
Scope�dev.orwa.com�sso.orwa.com/admin/login���(1) scan full port 1 time per day ��(2) collect all endpoints for *.orwa.com and create a wordlist by all of this endpoints and tested on program scope
Orwa Methodology 2023
(3) Check program scope endpoint on …
Ex
Orwa Methodology 2023
(4) Search for dev-uat-prod-test apps
Ex
sso-dev.orwa.com
ssouat.orwa.com�prod-sso.orwa.com
(5) Search for leaked creds for orwa.com and tested on sso.orwa.com (moving from out of scope to in scope)��(6) FuZZ webapp (fuff in bugbountytips part)
Orwa Methodology 2023
Remember , burp all the time on and proxy is connected ……
When you done from everything back and check your burp and start looking for interesting stuff …..
Orwa Methodology 2023
Program (B)
Scope�*.orwa.com
~amass enum -passive -norecursive -noalts –d orwa.com -o sub-list.txt
Orwa Methodology 2023
Therese a lot of other recourses such as (github , fofa urlscan , etc…) , use everything add everything to one list , remover duplicate by
�~cat everything.txt | sort –u > sub-list.txt
(2)
Send sub-list.txt to httpx & naabu
~cat sub-list.txt | httpx -o live-subs.txt
Top 1000 port
~naabu -list sub-list.txt -top-ports 1000 -exclude-ports 80,443,21,22,25 -o ports.txt
Full Port
~naabu -list sub-list.txt -p - -exclude-ports 80,443,21,22,25 -o ports.txt
Orwa Methodology 2023
(3) shodan checking for IPs & Origin IPs
Ssl.cert.subject.CN:"orwa.com“
Origin IP and Waf bypass via
(match and replace in burp)
Explained in BsidesAhmedabad Slides
(4) Start with Program(A) Method
Orwa Methodology 2023
Program (C)�Scope�Anything Owned By Orwa Inc. In Scope
On crt.sh Orwa Inc.
On Shodan "ssl:Orwa Inc."
Threes lot of other recourses to get domains
Send all domains from all recourses to 1.txt file
Remove duplicate
~cat 1.txt | sort -u > domains.txt
Orwa Methodology 2023
Extract sub domains via amass by use -df (domains file)
~amass enum -passive -norecursive -noalts –df domin.txt -o subs-1.txt
Get more sub domains from subs-1.txt
~amass enum -passive -norecursive -noalts –df subs-1.txt -o all-sub.txt
Sent all-subs.txt to httpx & naabu
(2) Search for Creds/PII/Endpoints from
Google Sheets&Groups
site:docs.google.com/spreadsheets "Orwa Inc."
site:groups.google.com "Orwa Inc" **Amazing Tip**
�
Orwa Methodology 2023
(3) Check my Method about discovering more domains & 3rd party’s & Endpoints
In BsidesAhmedabad Slides
(4) Start with Program(B) Method ��(5) Start with Program(A) Method
Orwa Methodology 2023
Don’t forget, burp all the time on and proxy is connected ……
SQL Injection
Error Based & Blind
POST /wp-adminX/admin-ajax.phpX HTTP/1.1
Accept: */*
Referer: https://orwa.com/
Cookie: wp-wpml_current_language=enX; cmplz_consented_services=X; cmplz_policy_id=14X; cmplz_functional=allowX
Accept-Encoding: gzip,deflate,br
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/117.0.0.0 Safari/537.36X
Host: orwa.com
Connection: Keep-alive
Content-Type: application/x-www-form-urlencoded
Content-Length: 70
action=loadMorePostsX¬_show=xxxxX&posts_page=6X&search_argument=xxxxxxX
SQL Injection
SQL Injection
SQL Injection
Change body encoding
SQL Injection
Change body encoding
SQL Injection
Change body encoding
SQL Injection
Quick check for SQL Error
Id=1' Id=1'' Id=1''' Id=1'''' symbol
Wordlist for intruder checking
https://github.com/orwagodfather/SQL-Wordlist
In SQL wordlist replace
xxx.burpcollaborator.net with your burp/server
SQL Injection
Add * in the request to when you try inject that location via sqlmap
Ex
POST /wp-admin*/admin-ajax.php HTTP/1.1
Referer: https://orwa.com/
Cookie: wp-wpml_current_language=en; cmplz_consented_services=; cmplz_policy_id=14
Accept-Encoding: gzip,deflate,br
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/117.0.0.0 Safari/537.36
Host: orwa.com
Connection: Keep-alive
Content-Type: application/x-www-form-urlencoded
Content-Length: 70
action=loadMorePosts¬_show=xxxx&posts_page=6&search_argument=xxxxx
Don’t forget clear */* from Accept
Bug Bounty Tips & Resources
1) all the time on all requests check
PUT & DELETE Methods
With PUT Method You can create files on server such as (stored XSS Files , Shell to RCE)
With DELETE Method you can delete any file on directory and that led sometimes to take down the full app
Bug Bounty Tips & Resources
2) All the time try to add for your request
X-Forwarded-For Header & Referer Header
And try inject that with (SQL injection payload or Blind XSS payload
3) Use this extension to create a wordlist from burp site map
https://github.com/ldcvanderpoel/Burp-Wordlist-Generator
Bug Bounty Tips & Resources
Ffuf
Normal and best command
ffuf -w /wordlist -u app/FUZZ�
Matcher: Response status: 200-299,301,302,307,401,403,405,500
🡺
[Status: 403, Size: 312, Words: 17, Lines: 7, Duration: 86ms]
Don’t use -mc xxx or -fc xxx
Remove the duplicates by other -f filters
EX…
Size use -fs 312 / Words use -fw 17 / Liens use -fl 7
Bug Bounty Tips & Resources
Amazing Books I read when i start bug bounty
And still read it till today
https://drive.google.com/file/d/1ZPK5ln4lULaI0nwSdQTWA3ccUttayAj1/view?usp=sharing
https://drive.google.com/file/d/1UVJJpfYZ4X8vKEKM3QpCdFe2bcskYbta/view?usp=sharing
https://drive.google.com/file/d/1Oh8AxcHir8AC4UefIvgc5LI5IDjRfnXV/view?usp=sharing
https://drive.google.com/file/d/1xwoG5N8UmWUdcMBfqeZ2HZsA3dz1Ia5w/view?usp=sharing
Orwa Resources
BsidesAhmedabad Talk slides
https://docs.google.com/presentation/d/1AA0gX2-SI_9ErTkBhtW0b-5BH70-1B1X/edit#slide=id.p1
The Power Of Shodan
https://youtu.be/WgMGLlpznao?si=MNHIABqzEvb_gt4o
IWCON Talk about Recon skills
https://youtu.be/z1rOMrCOGA0?si=_mKVlWviplZBzzR9
How to write excellent reports, techniques
Medium Writes
End Of Topic